Bug 20161 - pump/dhcpcd -> Wingate v3.05 incompatabilty
pump/dhcpcd -> Wingate v3.05 incompatabilty
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-11-01 16:37 EST by Simon Eatough
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 09:43:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simon Eatough 2000-11-01 16:37:33 EST
Hi Folks
I run rh7.0 as part of a network connected to the outside world via a
server running Wingate v.305( on win95).  I noticed that there was a -lot-
of continuous network activity. Using a network monitor I found that pump
was initially requesting an ip lease time of 12 hours -fine, however
Wingate was overriding this with a 1 second lease time on the DHCP offer. 
then pump seems to continuously do a dchcp request every 10ms. - with ip
lease time set to 1 second. 
In this state pump consumes about 26 % of cpu time according to top & when
shutting the pc down it hangs as eth0 is closed. dhcpcd behaves the same
except will allow liniux to shut down correctly. 
Looking at a dhcp request from a win95 machine, i noticed that win95 does
not request a lease time, - wingate then sends a valid lease time of 30
days. 
This is obviously a wingate problem but it would be nice if there was an
option to disable ip least time requests in pump & dhcpcd. 

Thanks
 Simon Eatough
Comment 1 Elliot Lee 2001-07-20 11:53:10 EDT
Apologies for the unresponsiveness of the previous pump packager...

Changing standards-compliant behaviour to accomodate broken behaviour might
indeed fix this specific bug, but it would be likely to cause other problems in
the long run.

Note You need to log in before you can comment on or make changes to this bug.